<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>DatabaseBuilderParametersImpl (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DatabaseBuilderParametersImpl (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DatabaseBuilderParametersImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/builder/CopyObjectDefaultHandler.html" title="class in org.apache.commons.configuration2.builder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" target="_top">Frames</a></li>
<li><a href="DatabaseBuilderParametersImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.builder</div>
<h2 title="Class DatabaseBuilderParametersImpl" class="title">Class DatabaseBuilderParametersImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">org.apache.commons.configuration2.builder.BasicBuilderParameters</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.builder.DatabaseBuilderParametersImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">BasicBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&gt;, <a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">DatabaseBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">DatabaseBuilderParametersImpl</span>
extends <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>
implements <a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">DatabaseBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a>&gt;</pre>
<div class="block"><p>
 A specialized parameters object for database configurations.
 </p>
 <p>
 This class has properties for defining the database structures the
 configuration operates on.
 </p>
 <p>
 This class is not thread-safe. It is intended that an instance is constructed
 and initialized by a single thread during configuration of a
 <code>ConfigurationBuilder</code>.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: DatabaseBuilderParametersImpl.java 1624601 2014-09-12 18:04:36Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.commons.configuration2.builder.BuilderParameters">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.apache.commons.configuration2.builder.<a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html#RESERVED_PARAMETER_PREFIX">RESERVED_PARAMETER_PREFIX</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html#DatabaseBuilderParametersImpl--">DatabaseBuilderParametersImpl</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html#setAutoCommit-boolean-">setAutoCommit</a></span>(boolean&nbsp;f)</code>
<div class="block">Enables or disable auto commit mode.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html#setConfigurationName-java.lang.String-">setConfigurationName</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Sets the name of this configuration instance.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html#setConfigurationNameColumn-java.lang.String-">setConfigurationNameColumn</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Sets the name of the table column containing the configuration name.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html#setDataSource-javax.sql.DataSource-">setDataSource</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/javax/sql/DataSource.html?is-external=true" title="class or interface in javax.sql">DataSource</a>&nbsp;src)</code>
<div class="block">Sets the data source for the database configuration.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html#setKeyColumn-java.lang.String-">setKeyColumn</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Sets the name of the table column containing configuration keys.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html#setTable-java.lang.String-">setTable</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tname)</code>
<div class="block">Sets the name of the table containing configuration data.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html#setValueColumn-java.lang.String-">setValueColumn</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Sets the name of the table column containing the configuration property
 value.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.builder.BasicBuilderParameters">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.builder.<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#clone--">clone</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#copyPropertiesFrom-java.util.Map-java.lang.String...-">copyPropertiesFrom</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#fetchBeanHelper-java.util.Map-">fetchBeanHelper</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#fetchInterpolatorSpecification-java.util.Map-">fetchInterpolatorSpecification</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#fetchProperty-java.lang.String-">fetchProperty</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#getParameters--">getParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#inheritFrom-java.util.Map-">inheritFrom</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#merge-org.apache.commons.configuration2.builder.BuilderParameters-">merge</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setBeanHelper-org.apache.commons.configuration2.beanutils.BeanHelper-">setBeanHelper</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setConfigurationDecoder-org.apache.commons.configuration2.ConfigurationDecoder-">setConfigurationDecoder</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setConversionHandler-org.apache.commons.configuration2.convert.ConversionHandler-">setConversionHandler</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setDefaultLookups-java.util.Collection-">setDefaultLookups</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setInterpolator</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setListDelimiterHandler-org.apache.commons.configuration2.convert.ListDelimiterHandler-">setListDelimiterHandler</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">setLogger</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setParentInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setParentInterpolator</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setPrefixLookups-java.util.Map-">setPrefixLookups</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setSynchronizer-org.apache.commons.configuration2.sync.Synchronizer-">setSynchronizer</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setThrowExceptionOnMissing-boolean-">setThrowExceptionOnMissing</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#storeProperty-java.lang.String-java.lang.Object-">storeProperty</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DatabaseBuilderParametersImpl--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DatabaseBuilderParametersImpl</h4>
<pre>public&nbsp;DatabaseBuilderParametersImpl()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setDataSource-javax.sql.DataSource-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDataSource</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a>&nbsp;setDataSource(<a href="http://docs.oracle.com/javase/7/docs/api/javax/sql/DataSource.html?is-external=true" title="class or interface in javax.sql">DataSource</a>&nbsp;src)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html#setDataSource-javax.sql.DataSource-">DatabaseBuilderProperties</a></code></span></div>
<div class="block">Sets the data source for the database configuration. All database
 connections are obtained from this data source. This is a mandatory
 property.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html#setDataSource-javax.sql.DataSource-">setDataSource</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">DatabaseBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>src</code> - the data source for the database configuration</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setTable-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTable</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a>&nbsp;setTable(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tname)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html#setTable-java.lang.String-">DatabaseBuilderProperties</a></code></span></div>
<div class="block">Sets the name of the table containing configuration data. Database
 configuration will access this database table. This is a mandatory
 property.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html#setTable-java.lang.String-">setTable</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">DatabaseBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tname</code> - the name of the table with configuration data</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setKeyColumn-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setKeyColumn</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a>&nbsp;setKeyColumn(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html#setKeyColumn-java.lang.String-">DatabaseBuilderProperties</a></code></span></div>
<div class="block">Sets the name of the table column containing configuration keys. This is
 a mandatory property.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html#setKeyColumn-java.lang.String-">setKeyColumn</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">DatabaseBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the column name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setValueColumn-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValueColumn</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a>&nbsp;setValueColumn(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html#setValueColumn-java.lang.String-">DatabaseBuilderProperties</a></code></span></div>
<div class="block">Sets the name of the table column containing the configuration property
 value. This is a mandatory property.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html#setValueColumn-java.lang.String-">setValueColumn</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">DatabaseBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the column name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setConfigurationNameColumn-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConfigurationNameColumn</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a>&nbsp;setConfigurationNameColumn(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html#setConfigurationNameColumn-java.lang.String-">DatabaseBuilderProperties</a></code></span></div>
<div class="block">Sets the name of the table column containing the configuration name. This
 property is needed if a single database table contains the data of
 multiple configuration instances. Then this column is used as
 discriminator to select a specific configuration instance.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html#setConfigurationNameColumn-java.lang.String-">setConfigurationNameColumn</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">DatabaseBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the column name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this method for method chaining</dd>
</dl>
</li>
</ul>
<a name="setConfigurationName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConfigurationName</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a>&nbsp;setConfigurationName(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html#setConfigurationName-java.lang.String-">DatabaseBuilderProperties</a></code></span></div>
<div class="block">Sets the name of this configuration instance. This property is needed if
 a single database table contains the data of multiple configuration
 instances. Then SQL statements generated by the configuration contain an
 additional constraint filtering the configuration name column for this
 name.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html#setConfigurationName-java.lang.String-">setConfigurationName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">DatabaseBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of this configuration instance</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setAutoCommit-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setAutoCommit</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a>&nbsp;setAutoCommit(boolean&nbsp;f)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html#setAutoCommit-boolean-">DatabaseBuilderProperties</a></code></span></div>
<div class="block">Enables or disable auto commit mode. If enabled, the database
 configuration instance performs a commit after each database update.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html#setAutoCommit-boolean-">setAutoCommit</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">DatabaseBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>f</code> - the value of the auto commit flag</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DatabaseBuilderParametersImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/builder/CopyObjectDefaultHandler.html" title="class in org.apache.commons.configuration2.builder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" target="_top">Frames</a></li>
<li><a href="DatabaseBuilderParametersImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
